package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;

import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: 被拒原因
 * @date 2018年10月11日 下午3:33:22
 */

public enum AccdenEnum  implements KeyedNamed{
	   
    AccountNotPerfect(1, "账号信息不完善"),
    AgencyWrong(2, "机构有误"),
    CancelPurchase(3,"取消购买");

	    @Setter
	    private Integer key;

	    @Setter
	    private String name;

	    AccdenEnum(Integer key, String name) {
	        this.key = key;
	        this.name = name;
	    }

	    public static AccdenEnum getEnum(Integer key) {
	        for (AccdenEnum item : AccdenEnum.values()) {
	            if (item.key == key) {
	                return item;
	            }
	        }
	        return null;
	    }

	    public static String getName(Integer key) {
	    	AccdenEnum item = getEnum(key);
	        return item != null ? item.name : null;
	    }

	    @Override
	    public int getKey() {
	        return key;
	    }

	    @Override
	    public String getName() {
	        return name;
	    }
	

}
